Subject: Re: 27.0.50; ?\^c syntax confuses scanning

From: Michael Heerdegen <[email-masked]>
Date: Tue, 01 Jan 2019 05:12:31 +0100

Paul Eggert <[email-masked]> writes:

> The second argument to scan-sexps is a count, not position, so you
> might want to rethink that example.

Indeed, thanks.  But let's keep the example for now, since it provokes
the scan error.

> Anyway, I'm not seeing any problems. I built the emacs-26 branch and
> ran the shell command:
>
> src/emacs -Q lisp/woman.el
>
> and then typed:
>
> M-: (scan-sexps (point-min) (point-max)) RET
>
> and it returned nil, which is what I'd expect. Can you reproduce the
> problem with a simple, self-contained test case like that?

Yes, with exactly that recipe, but with emacs built from the master
branch, please.  Oh, and happy new year, if you not are still in the old
one.

Thanks,

Michael.